Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78313 - daemon function should have a core dump option
Summary: daemon function should have a core dump option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-21 05:52 UTC by thalakan
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version: 7.85-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-29 21:20:41 UTC


Attachments (Terms of Use)

Description thalakan 2002-11-21 05:52:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020913
Debian/1.1-1

Description of problem:
The daemon function currently sets the core dump size to 0 unconditionally.  It
would be nice to have a --daemon argument which could be passed to it so
application developers can ship "debug" packages which use that to generate core
dumps of a misbehaving application.  Currently, the application developer has to
directly modify /etc/rc.d/init.d/functions, which changes its hash.  And since
initscripts is a base package, security automation at some sites interpret this
as sign of a possible intrusion.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Er, this is a feature request...

Additional info:


Note You need to log in before you can comment on or make changes to this bug.